Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.tooling
[Java] Class BuildException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.tooling.GradleConnectionException
                      org.gradle.tooling.BuildException

    public class BuildException
    extends GradleConnectionException

Thrown when a Gradle build fails or when a model cannot be built.

Since:
  1.0-milestone-3

Constructor Summary
`BuildException(String message, Throwable throwable)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### BuildException

    public BuildException(String message, Throwable throwable)

Gradle API 1.10